Bug 1032102 - [abrt] meld-1.8.2-1.fc19: gtk_file_system_model_sort: Process /usr/bin/python2.7 was killed by signal 6 (SIGABRT)
[abrt] meld-1.8.2-1.fc19: gtk_file_system_model_sort: Process /usr/bin/python...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:35098725294b934a511319349d8...
:
: 1078526 1078557 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-19 09:47 EST by javier del cristo
Modified: 2015-06-29 09:02 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 09:02:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (64.82 KB, text/plain)
2013-11-19 09:47 EST, javier del cristo
no flags Details
File: cgroup (141 bytes, text/plain)
2013-11-19 09:47 EST, javier del cristo
no flags Details
File: core_backtrace (39.88 KB, text/plain)
2013-11-19 09:47 EST, javier del cristo
no flags Details
File: dso_list (14.59 KB, text/plain)
2013-11-19 09:47 EST, javier del cristo
no flags Details
File: environ (1.59 KB, text/plain)
2013-11-19 09:47 EST, javier del cristo
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-19 09:47 EST, javier del cristo
no flags Details
File: maps (70.77 KB, text/plain)
2013-11-19 09:47 EST, javier del cristo
no flags Details
File: open_fds (1.39 KB, text/plain)
2013-11-19 09:47 EST, javier del cristo
no flags Details
File: proc_pid_status (931 bytes, text/plain)
2013-11-19 09:47 EST, javier del cristo
no flags Details

  None (edit)
Description javier del cristo 2013-11-19 09:47:07 EST
Description of problem:
This problem occurred when I was intented to compare two file wiht extension .f90. At moment to open of program it crash down. I don't know what happen wiht it.

Version-Release number of selected component:
meld-1.8.2-1.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        python /usr/bin/meld
crash_function: gtk_file_system_model_sort
executable:     /usr/bin/python2.7
kernel:         3.11.8-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: Nov 18 16:26:50 localhost abrt-hook-ccpp[4800]: Saved core dump of pid 2382 (/usr/bin/python2.7) to /var/tmp/abrt/ccpp-2013-11-18-16:26:48-2382 (151228416 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 gtk_file_system_model_sort at gtkfilesystemmodel.c:746
 #5 gtk_file_system_model_query_done at gtkfilesystemmodel.c:1154
 #6 g_task_return_now at /lib64/libgio-2.0.so.0
 #7 complete_in_idle_cb at /lib64/libgio-2.0.so.0
 #9 g_main_context_iterate.isra.22 at /lib64/libglib-2.0.so.0
 #11 gtk_main at gtkmain.c:1257
 #12 _wrap_gtk_main at ./gtk.override:1240
 #13 call_function at /usr/src/debug/Python-2.7.5/Python/ceval.c:4082
 #14 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.5/Python/ceval.c:2740
 #15 fast_function at /usr/src/debug/Python-2.7.5/Python/ceval.c:4184
Comment 1 javier del cristo 2013-11-19 09:47:15 EST
Created attachment 826085 [details]
File: backtrace
Comment 2 javier del cristo 2013-11-19 09:47:19 EST
Created attachment 826086 [details]
File: cgroup
Comment 3 javier del cristo 2013-11-19 09:47:22 EST
Created attachment 826087 [details]
File: core_backtrace
Comment 4 javier del cristo 2013-11-19 09:47:26 EST
Created attachment 826088 [details]
File: dso_list
Comment 5 javier del cristo 2013-11-19 09:47:29 EST
Created attachment 826089 [details]
File: environ
Comment 6 javier del cristo 2013-11-19 09:47:32 EST
Created attachment 826090 [details]
File: limits
Comment 7 javier del cristo 2013-11-19 09:47:36 EST
Created attachment 826091 [details]
File: maps
Comment 8 javier del cristo 2013-11-19 09:47:38 EST
Created attachment 826092 [details]
File: open_fds
Comment 9 javier del cristo 2013-11-19 09:47:42 EST
Created attachment 826093 [details]
File: proc_pid_status
Comment 10 Michael Schwendt 2014-01-09 02:05:47 EST
Still an issue in GTK+ 2 file dialog, affecting other programs, too:

https://bugzilla.redhat.com/buglist.cgi?quicksearch=gtk_file_system_model_sort&list_id=2079653
Comment 11 Caolan McNamara 2014-03-20 09:48:03 EDT
*** Bug 1078557 has been marked as a duplicate of this bug. ***
Comment 12 Caolan McNamara 2014-03-20 09:56:53 EDT
*** Bug 1078526 has been marked as a duplicate of this bug. ***
Comment 13 Milan Bouchet-Valat 2014-03-21 10:05:53 EDT
Seen with up-to-date Fedora 20 here.
Comment 14 Eric Blake 2014-12-06 23:24:21 EST
Another user experienced a similar problem:

trying to save an existing file to a new file name

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer --splash-pipe=5
crash_function: _g_log_abort
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.17.4-200.fc20.x86_64
package:        libreoffice-core-4.2.7.2-11.fc20
reason:         soffice.bin killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            14986
Comment 15 Fedora End Of Life 2015-05-29 05:48:31 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2015-06-29 09:02:27 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.